#### Description:

A SphMap is a Mapping which transforms points from a 3-dimensional Cartesian coordinate system into a 2-dimensional spherical coordinate system (longitude and latitude on a unit sphere centred at the origin). It works by regarding the input coordinates as position vectors and finding their intersection with the sphere surface. The inverse transformation always produces points which are a unit distance from the origin (i.e. unit vectors).

#### Constructor Function

astSphMap

#### Inheritance

The SphMap class inherits from the Mapping class.

#### Attributes

In addition to those attributes common to all Mappings, every SphMap also has the following attributes:

- UnitRadius: SphMap input vectors lie on a unit sphere?

- PolarLong: The longitude value to assign to either pole

#### Functions

The SphMap class does not define any new functions beyond those which are applicable to all Mappings.
Copyright (C) 2021 East Asian Observatory